Outbound Order Items
Endpoints related to Outbound Order Items.
Get a list of items in an Outbound Order
path Parameters
tenantIdTenant ID. Can be found in organisation settings
orderIdOutbound Order Id
query Parameters
includeAdditional fields to include in the response.
Headers
Accept-VersionAll API end points require Accept-Version in the request header.
Failure to provide the header will return a status code of 400, however, an invalid version can return a 404, 406 or 400.
External-Meta-KeyThe External-Meta-Key header allows to specify the desired external meta key and only data associated with the specified key will be returned. If no key is specified or the key does not contain data, then externalMeta will not be returned.
Users with VIEW_ALL_EXTERNAL_META permission can specify * to return all available external meta. Data in externalMeta will be keyed by the external meta key.
Get a list of items in an Outbound Order › Responses
Success
idFields uniquely identifying Outbound item
Custom and other property values keyed by name.
Custom fields may exist or may be requested by the tenant.
- For Address, Shipment, Container, Consignment Data, Consignment Item, Vehicle, Customer, Driver, Sale Order, Purchase Order, or Transport Product, use the name in Mapped Field from the tenant.
- For Sale Order Product (SOP) custom fields, use
sop_custom_field_1,sop_custom_field_2, and so on. - For other entities such as Purchase Order Product and Product, use
custom_field_1,custom_field_2, and so on.
typeExternal Metadata by a specific External meta key
List of Stock items allocated to this item. May be undefined or empty if no stock has been allocated yet.